package domain


type AlibabaRetailMarketingItempoolActivitySkuAddOctopusOpenResult struct {
    /*
        空值     */
    Data  *string `json:"data,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误提示文案     */
    ErrorMessage  *string `json:"error_message,omitempty" `

    /*
        错误码     */
    ErrorCode  *string `json:"error_code,omitempty" `

    /*
        部分失败的商品编码列表     */
    FailedSkuCodes  *[]string `json:"failed_sku_codes,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivitySkuAddOctopusOpenResult) SetData(v string) *AlibabaRetailMarketingItempoolActivitySkuAddOctopusOpenResult {
    s.Data = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySkuAddOctopusOpenResult) SetSuccess(v bool) *AlibabaRetailMarketingItempoolActivitySkuAddOctopusOpenResult {
    s.Success = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySkuAddOctopusOpenResult) SetErrorMessage(v string) *AlibabaRetailMarketingItempoolActivitySkuAddOctopusOpenResult {
    s.ErrorMessage = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySkuAddOctopusOpenResult) SetErrorCode(v string) *AlibabaRetailMarketingItempoolActivitySkuAddOctopusOpenResult {
    s.ErrorCode = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySkuAddOctopusOpenResult) SetFailedSkuCodes(v []string) *AlibabaRetailMarketingItempoolActivitySkuAddOctopusOpenResult {
    s.FailedSkuCodes = &v
    return s
}
